Class | Chef::JSONCompat
In: | lib/chef/json_compat.rb
Parent: | Object

### Methods

from_json opts_add_max_nesting to_json to_json_pretty

### Constants

JSON_MAX_NESTING | = | 1000

### Public Class methods

from_json(source, opts = {})

Just call the JSON gem‘s parse method with a modified :max_nesting field

opts_add_max_nesting(opts)

See CHEF-1292/PL-538. Increase the max nesting for JSON, which defaults to 19, and isn‘t enough for some (for example, a Node within a Node) structures.

to_json(obj, opts = nil)
to_json_pretty(obj, opts = nil)

[Validate]